import 'dart:async';

import 'package:flutter/services.dart';

class Pinch {
  static const MethodChannel _channel =
      const MethodChannel('com.fluxloop.pinch/sdk');

  static Future<bool> setApiKey(String apiKey) => _channel.invokeMethod('setApiKey', {"apiKey":apiKey});
  static Future<bool> setProductionMode(bool inProduction) => _channel.invokeMethod('setProductionMode', {"enabled":inProduction});
  static Future<bool> setMessagingId(String messagingId) => _channel.invokeMethod('setMessagingId', {"messagingId":messagingId});

  static Future<bool> start() => _channel.invokeMethod('start');
  static Future<bool> stop() => _channel.invokeMethod('stop');

  static Future<bool> addCustomEvent(String type, String json) => _channel.invokeMethod('sendCustomEvent', {"json": json, "type": type});
  static Future<bool> setMetadata(String type, String json) => _channel.invokeMethod('sendCustomEvent', {"json": json, "type": type});
  static Future<bool> sendDemographicProfile(int birthYear, String gender) => _channel.invokeMethod('sendDemographicProfile', {"birthYear":birthYear, "gender":gender});
}
